Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517144 - Provide a ppc64le specific /etc/modprobe.d/kvm.conf
Summary: Provide a ppc64le specific /etc/modprobe.d/kvm.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: ppc64le
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Laurent Vivier
QA Contact: Qunfang Zhang
URL:
Whiteboard:
Depends On: 1511990
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 10:04 UTC by Qunfang Zhang
Modified: 2018-04-11 00:51 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1511990
Environment:
Last Closed: 2018-04-11 00:49:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-11 00:51:20 UTC

Comment 2 Laurent Vivier 2017-11-24 10:24:33 UTC
There is no "nested" parameter for kvm on POWER. So I think we can just remove the file.

Comment 3 Laurent Vivier 2017-11-24 10:50:17 UTC
Adding cc: Eric Auger as the problem is the same for aarch64

Comment 6 Miroslav Rezanina 2017-11-28 10:53:19 UTC
Fix included in qemu-kvm-rhev-2.10.0-9.el7

Comment 7 Qunfang Zhang 2017-11-29 07:58:51 UTC
Verified qemu-kvm-rhev-2.10.0-9.el7 on Power8,9, s390x and x86_84:

(1) Power:

# cat /etc/modprobe.d/kvm.conf 
#
# User changes in this file are preserved across upgrades.
#

Also checked s390x and x86_64:

(2) s390x:

# cat /etc/modprobe.d/kvm.conf 
# Setting "modprobe kvm nested=1" only enables Nested Virtualization until
# the next reboot or module reload. Uncomment the option below to enable
# the feature permanently.
#
# User changes in this file are preserved across upgrades.
#
#options kvm nested=1

(3) x86_64:
# cat /etc/modprobe.d/kvm.conf 
# Setting modprobe kvm_intel/kvm_amd nested = 1
# only enables Nested Virtualization until the next reboot or
# module reload. Uncomment the option applicable
# to your system below to enable the feature permanently.
#
# User changes in this file are preserved across upgrades.
#
# For Intel
#options kvm_intel nested=1
#
# For AMD
#options kvm_amd nested=1


Based on above, the issue is fixed.  Thanks!

Comment 11 errata-xmlrpc 2018-04-11 00:49:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.